# label-case

{% hint style="info" %}
**Version compatibility**

`title-case` and `sentence-case` types were introduced in version **4.89.17** of the JourneyApps Runtime.
{% endhint %}

**Optional**

**Type**: `uppercase` | `lowercase` | `title-case` | `sentence-case` | `none`

**Default**: `uppercase`

Configure the letter case of the UI component's [label ](https://docs.journeyapps.com/reference/build/ui-components/xml-fields/label)text.

* `sentence-case` : Capitalizes the first letter and lowercases the rest e.g. “Sentence case looks like this”
* `title-case`: Capitalizes the first letter of every word in the sentence e.g. “Title Case Looks Like This”


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.journeyapps.com/reference/build/ui-components/xml-fields/label-case.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
